/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';
.beantworten-vote-page {
  max-width: 860px;
  margin: 0 auto;
  dl {
    &:last-of-type {
      margin-bottom: 24px;
    }
    font-size: 1.6rem;
    line-height: 22px;
    width: 100%;
    margin-bottom: 0;
    overflow: hidden;
    dt {
      float: left;
      clear: left;
      width: 50%;
      font-weight: normal;
      margin-top: 4px;
      margin-bottom: 4px;
    }
    dd {
      margin-top: 4px;
      margin-bottom: 4px;
      float: left;
      width: 50%;
      .email-text,
      .teilnehmer-text {
        white-space: pre-wrap;
        overflow-wrap: break-word;
        &.teilnehmer-text {
          margin-top: 0;
        }
      }
      .additional-file-list {
        list-style: none;
        padding-left: 0;
        margin-bottom: 0;
      }
      .document-title,
      .document-link {
        display: block;
        line-height: 26px;
      }
      .document-link {
        margin-left: 10px;
        a {
          margin-left: 10px;
        }
        a:not(:hover, :focus, :active) {
          color: @platfrom-blue1;
        }
      }
      .stellvertretung-label {
        font-size: 1.4rem;
        font-weight: normal;
      }
    }
  }
  .review-item-bg-white {
    background: white;
    margin: 24px 0px;
    padding: 32px 24px;
    width: auto;
  }
  .form-control-buttons > .ant-btn {
    margin-right: 24px;
  }
  .review-section,
  .sent-answer-component,
  .uploaded-files-component,
  .uploaded-files-readonly-component,
  .comment-component {
    border-bottom: 1px solid @platform-blue3;
    padding-bottom: 16px;
  }

  .review-section {
    dd > *,
    dd > button > span,
    dd > div > a > svg,
    dd {
      font-size: 1.6rem;
      text-align: left;
      margin-left: 0;
      padding: 0;
      font-style: inherit;
      padding-left: 0;
    }
    dd > span > button {
      padding-left: 0;
    }
    .review-anfrage-verlauf {
      h3 {
        margin-top: 0;
      }
      p,
      ul {
        padding-left: 0;
        list-style: none;
        font-weight: 500;
        font-size: 1.6rem;
      }
    }
  }

  .ant-collapse-header {
    padding-left: 0 !important;
    svg {
      margin-right: 10px !important;
    }
  }
  .hint {
    font-weight: initial;
    padding-left: 5px;
  }
  .btn-show-more {
    padding: 0;
    border: 0;
    box-shadow: none !important;
    color: @platform-text-color;
    height: 20px;
    margin-bottom: 15px;

    span {
      font-size: 1.6rem;
      line-height: 20px;
      text-decoration: underline;
      padding: 0 5px;
    }
    &:hover,
    &:focus {
      span {
        background: @platform-text-color;
        color: @platform-btn-primary-color;
        text-decoration: none;
      }
    }
  }
  .hide {
    display: none;
  }
}
.no-colons {
  .ant-form-item-label {
    label {
      &::after {
        content: '';
      }
    }
  }
}
